pqxx::internal::scoped_array< T > Class Template Reference

`#include <util.hxx>`

## Public Types

typedef size_t | size_type
typedef long | difference_type

## Public Member Functions

| scoped_array ()
| scoped_array (size_type n)
| scoped_array (T *t)
| ~scoped_array ()
T * | get () const throw ()
T & | operator* () const throw ()
template<typename INDEX >
T & | operator[] (INDEX i) const throw ()
scoped_array & | operator= (T *t) throw ()

## Member Typedef Documentation

## difference_type

template<typename T>

typedef long pqxx::internal::scoped_array< T >::difference_type

## size_type

template<typename T>

typedef size_t pqxx::internal::scoped_array< T >::size_type

## Constructor & Destructor Documentation

## scoped_array() [1/3]

template<typename T>

pqxx::internal::scoped_array< T >::scoped_array | ( |  | ) |

## scoped_array() [2/3]

template<typename T>

pqxx::internal::scoped_array< T >::scoped_array | ( | size_type | n | ) |

explicit

## scoped_array() [3/3]

template<typename T>

pqxx::internal::scoped_array< T >::scoped_array | ( | T * | t | ) |

explicit

## ~scoped_array()

template<typename T>

pqxx::internal::scoped_array< T >::~scoped_array | ( |  | ) |

## Member Function Documentation

## get()

template<typename T>

T* pqxx::internal::scoped_array< T >::get | ( |  | ) | const
throw | ( |
| ) |  |

Referenced by pqxx::internal::parameterized_invocation::exec(), and pqxx::prepare::invocation::exec().

## operator*()

template<typename T>

T& pqxx::internal::scoped_array< T >::operator* | ( |  | ) | const
throw | ( |
| ) |  |

## operator=()

template<typename T>

scoped_array& pqxx::internal::scoped_array< T >::operator= | ( | T * | t | ) |
throw | ( |
| ) |  |

## operator[]()

template<typename T>
template<typename INDEX >

T& pqxx::internal::scoped_array< T >::operator[] | ( | INDEX | i | ) | const
throw | ( |
| ) |  |

The documentation for this class was generated from the following file:

- util.hxx